scala.tools.scalap.scalax.rules.scalasig

# ScalaSigSymbol

###
Related Doc: package scalasig

#### abstract class ScalaSigSymbol extends Symbol

Source
  Symbol.scala

Linear Supertypes
Symbol, Flags, AnyRef, Any
Known Subclasses
AliasSymbol, ClassSymbol, ExternalSymbol, MethodSymbol, ObjectSymbol, SymbolInfoSymbol, TypeSymbol
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ScalaSigSymbol
2. Symbol
3. Flags
4. AnyRef
5. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new ScalaSigSymbol()

### Abstract Value Members

1. #### abstract def entry: Entry

2. #### abstract def hasFlag(flag: Long): Boolean

   Definition Classes
     Flags

3. #### abstract def name: String

   Definition Classes
     Symbol

4. #### abstract def parent: Option[Symbol]

   Definition Classes
     Symbol

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from ScalaSigSymbol to any2stringadd[ScalaSigSymbol] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (ScalaSigSymbol, B)

   Implicit information
     This member is added by an implicit conversion from ScalaSigSymbol to ArrowAssoc[ScalaSigSymbol] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     AnyRef → Any

6. #### def applyRule[A](rule: EntryParser[A]): A

7. #### def applyScalaSigRule[A](rule: Parser[A]): A

8. #### final def asInstanceOf[T0]: T0

   Cast the receiver object to be of type `T0`.

   Cast the receiver object to be of type `T0`.

   Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

   returns

     the receiver object.

   Definition Classes
     Any
   Exceptions thrown

     `ClassCastException` if the receiver object is not an instance of the erasure of type `T0`.

9. #### lazy val attributes: Seq[AttributeInfo]

10. #### lazy val children: Seq[Symbol]

    Definition Classes
      ScalaSigSymbol → Symbol

11. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @HotSpotIntrinsicCandidate() @throws( ... )
    Note

      not specified by SLS as a member of AnyRef

12. #### def ensuring(cond: (ScalaSigSymbol) ⇒ Boolean, msg: ⇒ Any): ScalaSigSymbol

    Implicit information
      This member is added by an implicit conversion from ScalaSigSymbol to Ensuring[ScalaSigSymbol] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: (ScalaSigSymbol) ⇒ Boolean): ScalaSigSymbol

    Implicit information
      This member is added by an implicit conversion from ScalaSigSymbol to Ensuring[ScalaSigSymbol] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### def ensuring(cond: Boolean, msg: ⇒ Any): ScalaSigSymbol

    Implicit information
      This member is added by an implicit conversion from ScalaSigSymbol to Ensuring[ScalaSigSymbol] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### def ensuring(cond: Boolean): ScalaSigSymbol

    Implicit information
      This member is added by an implicit conversion from ScalaSigSymbol to Ensuring[ScalaSigSymbol] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

16. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`that`) is a reference to the receiver object (`this`).

    Tests whether the argument (`that`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

17. #### def equals(arg0: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. Default implementation delegates to `eq`.

    See also `equals` in scala.Any.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any

18. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from ScalaSigSymbol to StringFormat[ScalaSigSymbol] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

19. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Annotations
      @HotSpotIntrinsicCandidate()
    Note

      not specified by SLS as a member of AnyRef

20. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in scala.Any.

    returns

      the hash code value for this object.

    Definition Classes
      AnyRef → Any
    Annotations
      @HotSpotIntrinsicCandidate()

21. #### def index: Int

22. #### def isAbstract: Boolean

    Definition Classes
      Flags

23. #### def isAbstractOverride: Boolean

    Definition Classes
      Flags

24. #### def isAccessor: Boolean

    Definition Classes
      Flags

25. #### def isBridge: Boolean

    Definition Classes
      Flags

26. #### def isByNameParam: Boolean

    Definition Classes
      Flags

27. #### def isCaptured: Boolean

    Definition Classes
      Flags

28. #### def isCase: Boolean

    Definition Classes
      Flags

29. #### def isCaseAccessor: Boolean

    Definition Classes
      Flags

30. #### def isContravariant: Boolean

    Definition Classes
      Flags

31. #### def isCovariant: Boolean

    Definition Classes
      Flags

32. #### def isDeferred: Boolean

    Definition Classes
      Flags

33. #### def isDeprecated: Boolean

    Definition Classes
      Flags

34. #### def isError: Boolean

    Definition Classes
      Flags

35. #### def isExistential: Boolean

    Definition Classes
      Flags

36. #### def isExpandedName: Boolean

    Definition Classes
      Flags

37. #### def isFinal: Boolean

    Definition Classes
      Flags

38. #### def isImplementationClass: Boolean

    Definition Classes
      Flags

39. #### def isImplicit: Boolean

    Definition Classes
      Flags

40. #### def isInConstructor: Boolean

    Definition Classes
      Flags

41. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

42. #### def isInterface: Boolean

    Definition Classes
      Flags

43. #### def isJava: Boolean

    Definition Classes
      Flags

44. #### def isLabel: Boolean

    Definition Classes
      Flags

45. #### def isLazy: Boolean

    Definition Classes
      Flags

46. #### def isLifted: Boolean

    Definition Classes
      Flags

47. #### def isLocal: Boolean

    Definition Classes
      Flags

48. #### def isMethod: Boolean

    Definition Classes
      Flags

49. #### def isMixedIn: Boolean

    Definition Classes
      Flags

50. #### def isModule: Boolean

    Definition Classes
      Flags

51. #### def isModuleVar: Boolean

    Definition Classes
      Flags

52. #### def isMonomorphic: Boolean

    Definition Classes
      Flags

53. #### def isMutable: Boolean

    Definition Classes
      Flags

54. #### def isOverloaded: Boolean

    Definition Classes
      Flags

55. #### def isOverride: Boolean

    Definition Classes
      Flags

56. #### def isPackage: Boolean

    Definition Classes
      Flags

57. #### def isParam: Boolean

    Definition Classes
      Flags

58. #### def isParamAccessor: Boolean

    Definition Classes
      Flags

59. #### def isPreSuper: Boolean

    Definition Classes
      Flags

60. #### def isPrivate: Boolean

    Definition Classes
      Flags

61. #### def isProtected: Boolean

    Definition Classes
      Flags

62. #### def isSealed: Boolean

    Definition Classes
      Flags

63. #### def isStable: Boolean

    Definition Classes
      Flags

64. #### def isStatic: Boolean

    Definition Classes
      Flags

65. #### def isSuperAccessor: Boolean

    Definition Classes
      Flags

66. #### def isSynthetic: Boolean

    Definition Classes
      Flags

67. #### def isTrait: Boolean

    Definition Classes
      Flags

68. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

69. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Annotations
      @HotSpotIntrinsicCandidate()
    Note

      not specified by SLS as a member of AnyRef

70. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Annotations
      @HotSpotIntrinsicCandidate()
    Note

      not specified by SLS as a member of AnyRef

71. #### def path: String

    Definition Classes
      Symbol

72. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

73. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      AnyRef → Any

74. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

75. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

76. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

77. #### def →[B](y: B): (ScalaSigSymbol, B)

    Implicit information
      This member is added by an implicit conversion from ScalaSigSymbol to ArrowAssoc[ScalaSigSymbol] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Deprecated Value Members

1. #### def finalize(): Unit

   Called by the garbage collector on the receiver object when there are no more references to the object.

   Called by the garbage collector on the receiver object when there are no more references to the object.

   The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @Deprecated @deprecated @throws( classOf[java.lang.Throwable] )
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

   Note

     not specified by SLS as a member of AnyRef

### Inherited from Symbol

### Inherited from Flags

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from ScalaSigSymbol to any2stringadd[ScalaSigSymbol]

### Inherited by implicit conversion StringFormat from ScalaSigSymbol to StringFormat[ScalaSigSymbol]

### Inherited by implicit conversion Ensuring from ScalaSigSymbol to Ensuring[ScalaSigSymbol]

### Inherited by implicit conversion ArrowAssoc from ScalaSigSymbol to ArrowAssoc[ScalaSigSymbol]

### Ungrouped